# Class Crash

Crash Class

- Defined in packages/saltcorn-data/models/crash.ts:19

##### Index

### Constructors

constructor

### Properties

body?
headers
id?
message
occur_at
stack
tenant
url
user_id?

### Accessors

msg_short
reltime

### Methods

count
create
find
findOne

## Constructors

### constructor

- new Crash(o: CrashCfg): Crash

  Crash constructor

  #### Parameters

  - o: CrashCfg

  #### Returns Crash

  - Defined in packages/saltcorn-data/models/crash.ts:34

## Properties

### `Optional` body

body?: any

- Defined in packages/saltcorn-data/models/crash.ts:28

### headers

headers: any

- Defined in packages/saltcorn-data/models/crash.ts:27

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/crash.ts:20

### message

message: string

- Defined in packages/saltcorn-data/models/crash.ts:23

### occur_at

occur_at: Date

- Defined in packages/saltcorn-data/models/crash.ts:26

### stack

stack: string

- Defined in packages/saltcorn-data/models/crash.ts:22

### tenant

tenant: string

- Defined in packages/saltcorn-data/models/crash.ts:24

### url

url: string

- Defined in packages/saltcorn-data/models/crash.ts:25

### `Optional` user_id

user_id?: number

- Defined in packages/saltcorn-data/models/crash.ts:21

## Accessors

### msg_short

- get msg_short(): string

  #### Returns string

  - Defined in packages/saltcorn-data/models/crash.ts:90

### reltime

- get reltime(): string

  #### Returns string

  - Defined in packages/saltcorn-data/models/crash.ts:75

## Methods

### `Static` count

- count(where: Where): Promise<number>

  #### Parameters

  - where: Where

  #### Returns Promise<number>

  - Defined in packages/saltcorn-data/models/crash.ts:83

### `Static` create

- create(err: any, req?: any): Promise<void>

  #### Parameters

  - err: any
  - `Optional` req: any = {}

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/crash.ts:101

### `Static` find

- find(where?: Where, selopts?: SelectOptions): Promise<Crash[]>

  #### Parameters

  - `Optional` where: Where
  - selopts: SelectOptions = {}

  #### Returns Promise<Crash[]>

  - Defined in packages/saltcorn-data/models/crash.ts:55

### `Static` findOne

- findOne(where: Where): Promise<Crash>

  #### Parameters

  - where: Where

  #### Returns Promise<Crash>

  - Defined in packages/saltcorn-data/models/crash.ts:67